## freeradius 3.0.12+dfsg

=== Makefile ===
#
# Makefile
#
#		NOTE: This top-level Makefile must not
#		use GNU-make extensions. The lower ones can.
#
# Version:	$Id: 20a2e4d64133768c0c3c824be0e74b33f1a9f164 $
#

#
#  The default rule is "all".
#
all:

$(if $(wildcard Make.inc),,$(error Missing 'Make.inc' Run './configure [options]' and retry))

include Make.inc

MFLAGS += --no-print-directory

# The version of GNU Make is too old, don't use it (.FEATURES variable was
# wad added in 3.81)
ifndef .FEATURES
$(error The build system requires GNU Make 3.81 or later.)
endif

export DESTDIR := $(R)

# And over-ride all of the other magic.
include scripts/boiler.mk

#
#  To work around OpenSSL issues with travis.
#
.PHONY:
raddb/test.conf:
	@echo 'security {' >> $@
	@echo '        allow_vulnerable_openssl = yes' >> $@
	@echo '}' >> $@
	@echo '$$INCLUDE radiusd.conf' >> $@

#
#  Run "radiusd -C", looking for errors.
#
# Only redirect STDOUT, which should contain details of why the test failed.
# Don't molest STDERR as this may be used to receive output from a debugger.
$(BUILD_DIR)/tests/radiusd-c: raddb/test.conf ${BUILD_DIR}/bin/radiusd | build.raddb
	@$(MAKE) -C raddb/certs
	@printf "radiusd -C... "
	@if ! FR_LIBRARY_PATH=./build/lib/local/.libs/ ./build/make/jlibtool --mode=execute ./build/bin/radiusd -XCMd ./raddb -D ./share -n test > $(BUILD_DIR)/tests/radiusd.config.log; then \
		rm -f raddb/test.conf; \
		cat $(BUILD_DIR)/tests/radiusd.config.log; \
		echo "fail"; \
		exit 1; \
	fi
	@rm -f raddb/test.conf
	@echo "ok"
	@touch $@

test: ${BUILD_DIR}/bin/radiusd ${BUILD_DIR}/bin/radclient tests.unit tests.xlat tests.keywords tests.auth tests.modules $(BUILD_DIR)/tests/radiusd-c | build.raddb
	@$(MAKE) -C src/tests tests

#  Tests specifically for Travis.  We do a LOT more than just
#  the above tests
ifneq "$(findstring travis,${prefix})" ""
travis-test: raddb/test.conf test
	@FR_LIBRARY_PATH=./build/lib/local/.libs/ ./build/make/jlibtool --mode=execute ./build/bin/radiusd -xxxv -n test
	@rm -f raddb/test.conf
	@$(MAKE) install
	@perl -p -i -e 's/allow_vulnerable_openssl = no/allow_vulnerable_openssl = yes/' ${raddbdir}/radiusd.conf
	@${sbindir}/radiusd -XC
endif

#
# The $(R) is a magic variable not defined anywhere in this source.
# It's purpose is to allow an admin to create an installation 'tar'
# file *without* actually installing it.  e.g.:
#
#  $ R=/home/root/tmp make install
#  $ cd /home/root/tmp
#  $ tar -cf ~/freeradius-package.tar *
#
# The 'tar' file can then be un-tar'd on any similar machine.  It's a
# cheap way of creating packages, without using a package manager.
# Many of the platform-specific packaging tools use the $(R) variable
# when creating their packages.
#
# For compatibility with typical GNU packages (e.g. as seen in libltdl),
# we make sure DESTDIR is defined.
#
export DESTDIR := $(R)

DICTIONARIES := $(wildcard share/dictionary*)
install.share: $(addprefix $(R)$(dictdir)/,$(notdir $(DICTIONARIES)))

$(R)$(dictdir)/%: share/%
	@echo INSTALL $(notdir $<)
	@$(INSTALL) -m 644 $< $@

MANFILES := $(wildcard man/man*/*.?)
install.man: $(subst man/,$(R)$(mandir)/,$(MANFILES))

$(R)$(mandir)/%: man/%
	@echo INSTALL $(notdir $<)
	@sed -e "s,/etc/raddb,$(raddbdir),g" \
		-e "s,/usr/local/share,$(datarootdir),g" \
		$< > $<.subst
	@$(INSTALL) -m 644 $<.subst $@
	@rm $<.subst

#
#  Don't install rlm_test
#
ALL_INSTALL := $(patsubst %rlm_test.la,,$(ALL_INSTALL))

install: install.share install.man
	@$(INSTALL) -d -m 700	$(R)$(logdir)
	@$(INSTALL) -d -m 700	$(R)$(radacctdir)

ifneq ($(RADMIN),)
ifneq ($(RGROUP),)
.PHONY: install-chown
install-chown:
	chown -R $(RADMIN)   $(R)$(raddbdir)
	chgrp -R $(RGROUP)   $(R)$(raddbdir)
	chmod u=rwx,g=rx,o=  `find $(R)$(raddbdir) -type d -print`
	chmod u=rw,g=r,o=    `find $(R)$(raddbdir) -type f -print`
	chown -R $(RADMIN)   $(R)$(logdir)
	chgrp -R $(RGROUP)   $(R)$(logdir)
	find $(R)$(logdir) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(logdir) -type d -exec chmod g+s {} \;
	find $(R)$(logdir) -type f -exec chmod u=rw,g=rw,o= {} \;
	chown -R $(RADMIN)   $(R)$(RUNDIR)
	chgrp -R $(RGROUP)   $(R)$(RUNDIR)
	find $(R)$(RUNDIR) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(RUNDIR) -type d -exec chmod g+s {} \;
	find $(R)$(RUNDIR) -type f -exec chmod u=rw,g=rw,o= {} \;
endif
endif

distclean: clean
	@-find src/modules -regex .\*/config[.][^.]*\$$ -delete
	@-find src/modules -name autom4te.cache -exec rm -rf '{}' \;
	@rm -rf config.cache config.log config.status libtool \
		src/include/radpaths.h src/include/stamp-h \
		libltdl/config.log libltdl/config.status \
		libltdl/libtool autom4te.cache build
	@-find . ! -name configure.ac -name \*.in -print | \
		sed 's/\.in$$//' | \
		while read file; do rm -f $$file; done

######################################################################
#
#  Automatic remaking rules suggested by info:autoconf#Automatic_Remaking
#
######################################################################
#
#  Do these checks ONLY if we're re-building the "configure"
#  scripts, and ONLY the "configure" scripts.  If we leave
#  these rules enabled by default, then they're run too often.
#
ifeq "$(MAKECMDGOALS)" "reconfig"

CONFIGURE_AC_FILES := $(shell find . -name configure.ac -print)
CONFIGURE_FILES	   := $(patsubst %.ac,%,$(CONFIGURE_AC_FILES))

#
#  The GNU tools make autoconf=="missing autoconf", which then returns
#  0, even when autoconf doesn't exist.  This check is to ensure that
#  we run AUTOCONF only when it exists.
#
AUTOCONF_EXISTS := $(shell autoconf --version 2>/dev/null)

ifeq "$(AUTOCONF_EXISTS)" ""
$(error You need to install autoconf to re-build the "configure" scripts)
endif

# Configure files depend on "in" files, and on the top-level macro files
# If there are headers, run auto-header, too.
src/%configure: src/%configure.ac acinclude.m4 aclocal.m4 $(wildcard $(dir $@)m4/*m4) | src/freeradius-devel
	@echo AUTOCONF $(dir $@)
	cd $(dir $@) && $(AUTOCONF) -I $(top_builddir) -I $(top_builddir)/m4 -I $(top_builddir)/$(dir $@)m4
	@if grep AC_CONFIG_HEADERS $@ >/dev/null; then\
		echo AUTOHEADER $@ \
		cd $(dir $@) && $(AUTOHEADER); \
	 fi

# "%configure" doesn't match "configure"
configure: configure.ac $(wildcard ac*.m4) $(wildcard m4/*.m4)
	@echo AUTOCONF $@
	@$(AUTOCONF)

src/include/autoconf.h.in: configure.ac
	@echo AUTOHEADER $@
	@$(AUTOHEADER)

reconfig: $(CONFIGURE_FILES) src/include/autoconf.h.in

config.status: configure
	./config.status --recheck

# target is "configure"
endif

#  If we've already run configure, then add rules which cause the
#  module-specific "all.mk" files to depend on the mk.in files, and on
#  the configure script.
#
ifneq "$(wildcard config.log)" ""
CONFIGURE_ARGS	   := $(shell head -10 config.log | grep '^  \$$' | sed 's/^....//;s:.*configure ::')

src/%all.mk: src/%all.mk.in src/%configure
	@echo CONFIGURE $(dir $@)
	@rm -f ./config.cache $(dir $<)/config.cache
	@cd $(dir $<) && ./configure $(CONFIGURE_ARGS)
endif

.PHONY: check-includes
check-includes:
	scripts/min-includes.pl `find . -name "*.c" -print`

.PHONY: TAGS
TAGS:
	etags `find src -type f -name '*.[ch]' -print` > $@

#
#  Make test certificates.
#
.PHONY: certs
certs:
	@$(MAKE) -C raddb/certs

######################################################################
#
#  Make a release.
#
#  Note that "Make.inc" has to be updated with the release number
#  BEFORE running this command!
#
######################################################################
BRANCH = $(shell git rev-parse --abbrev-ref HEAD)

freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz: .git
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION_STRING)/ $(BRANCH) | gzip > $@

freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2: .git
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION_STRING)/ $(BRANCH) | bzip2 > $@

%.sig: %
	gpg --default-key packages@freeradius.org -b $<

# high-level targets
.PHONY: dist-check
dist-check: redhat/freeradius.spec suse/freeradius.spec debian/changelog
	@if [ `grep ^Version: redhat/freeradius.spec | sed 's/.*://;s/ //'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		cat redhat/freeradius.spec | sed 's/^Version: .*/Version: $(RADIUSD_VERSION_STRING)/' > redhat/.foo; \
		mv redhat/.foo redhat/freeradius.spec; \
		echo redhat/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	@if [ `grep ^Version: suse/freeradius.spec | sed 's/.*://;s/ //'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		cat suse/freeradius.spec | sed 's/^Version: .*/Version: $(RADIUSD_VERSION_STRING)/' > suse/.foo; \
		mv suse/.foo suse/freeradius.spec; \
		echo suse/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	@if [ `head -n 1 debian/changelog | sed 's/.*(//;s/-0).*//;s/-1).*//;s/\+.*//'`  != "$(RADIUSD_VERSION_STRING)" ]; then \
		echo debian/changelog needs to be updated; \
		exit 1; \
	fi

dist: dist-check freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2

dist-sign: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig

dist-publish: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2 freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig
	scp $^ freeradius.org@ftp.freeradius.org:public_ftp

#
#  Note that we do NOT do the tagging here!  We just print out what
#  to do!
#
dist-tag: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
	@echo "git tag release_`echo $(RADIUSD_VERSION_STRING) | tr .- __`"

#
#	Build a debian package
#
.PHONY: deb
deb:
	fakeroot dpkg-buildpackage -b -uc

# Developer checks
.PHONY: warnings
warnings:
	@(make clean all 2>&1) | egrep -v '^/|deprecated|^In file included|: In function|   from |^HEADER|^CC|^LINK' > warnings.txt
	@wc -l warnings.txt

#
#  Ensure we're using tabs in the configuration files,
#  and remove trailing whitespace in source files.
#
.PHONY: whitespace
whitespace:
	@for x in $$(git ls-files raddb/ src/); do unexpand $$x > $$x.bak; cp $$x.bak $$x; rm -f $$x.bak;done
	@perl -p -i -e 'trim' $$(git ls-files src/)

=== raddb/certs/Makefile ===
######################################################################
#
#	Make file to be installed in /etc/raddb/certs to enable
#	the easy creation of certificates.
#
#	See the README file in this directory for more information.
#
#	$Id: cc12464c6c7754aff2f0c8d6e116708c94ff2168 $
#
######################################################################

DH_KEY_SIZE	= 2048

#
#  Set the passwords
#
-include passwords.mk

######################################################################
#
#  Make the necessary files, but not client certificates.
#
######################################################################
.PHONY: all
all: index.txt serial dh server ca client

.PHONY: client
client: client.pem

.PHONY: ca
ca: ca.der

.PHONY: server
server: server.pem server.vrfy

.PHONY: verify
verify: server.vrfy client.vrfy

passwords.mk: server.cnf ca.cnf client.cnf
	@echo "PASSWORD_SERVER	= '$(shell grep output_password server.cnf | sed 's/.*=//;s/^ *//')'"		> $@
	@echo "PASSWORD_CA	= '$(shell grep output_password ca.cnf | sed 's/.*=//;s/^ *//')'"		>> $@
	@echo "PASSWORD_CLIENT	= '$(shell grep output_password client.cnf | sed 's/.*=//;s/^ *//')'"		>> $@
	@echo "USER_NAME	= '$(shell grep emailAddress client.cnf | grep '@' | sed 's/.*=//;s/^ *//')'"	>> $@
	@echo "CA_DEFAULT_DAYS  = '$(shell grep default_days ca.cnf | sed 's/.*=//;s/^ *//')'"			>> $@

######################################################################
#
#  Diffie-Hellman parameters
#
######################################################################
dh:
	openssl gendh -out dh -2 $(DH_KEY_SIZE)

######################################################################
#
#  Create a new self-signed CA certificate
#
######################################################################
ca.key ca.pem: ca.cnf
	@[ -f index.txt ] || $(MAKE) index.txt
	@[ -f serial ] || $(MAKE) serial
	openssl req -new -x509 -keyout ca.key -out ca.pem \
		-days $(CA_DEFAULT_DAYS) -config ./ca.cnf

ca.der: ca.pem
	openssl x509 -inform PEM -outform DER -in ca.pem -out ca.der

######################################################################
#
#  Create a new server certificate, signed by the above CA.
#
######################################################################
server.csr server.key: server.cnf
	openssl req -new  -out server.csr -keyout server.key -config ./server.cnf

server.crt: server.csr ca.key ca.pem
	openssl ca -batch -keyfile ca.key -cert ca.pem -in server.csr  -key $(PASSWORD_CA) -out server.crt -extensions xpserver_ext -extfile xpextensions -config ./server.cnf

server.p12: server.crt
	openssl pkcs12 -export -in server.crt -inkey server.key -out server.p12  -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)

server.pem: server.p12
	openssl pkcs12 -in server.p12 -out server.pem -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)

.PHONY: server.vrfy
server.vrfy: ca.pem
	@openssl verify -CAfile ca.pem server.pem

######################################################################
#
#  Create a new client certificate, signed by the the above server
#  certificate.
#
######################################################################
client.csr client.key: client.cnf
	openssl req -new  -out client.csr -keyout client.key -config ./client.cnf

client.crt: client.csr ca.pem ca.key
	openssl ca -batch -keyfile ca.key -cert ca.pem -in client.csr  -key $(PASSWORD_CA) -out client.crt -extensions xpclient_ext -extfile xpextensions -config ./client.cnf

client.p12: client.crt
	openssl pkcs12 -export -in client.crt -inkey client.key -out client.p12  -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)

client.pem: client.p12
	openssl pkcs12 -in client.p12 -out client.pem -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)
	cp client.pem $(USER_NAME).pem

.PHONY: client.vrfy
client.vrfy: ca.pem client.pem
	c_rehash .
	openssl verify -CApath . client.pem

######################################################################
#
#  Miscellaneous rules.
#
######################################################################
index.txt:
	@touch index.txt

serial:
	@echo '01' > serial

print:
	openssl x509 -text -in server.crt

printca:
	openssl x509 -text -in ca.pem

clean:
	@rm -f *~ *old client.csr client.key client.crt client.p12 client.pem

#
#	Make a target that people won't run too often.
#
destroycerts:
	rm -f *~ dh *.csr *.crt *.p12 *.der *.pem *.key index.txt* \
			serial*  *\.0 *\.1

=== debian/changelog ===
freeradius (3.0.12+dfsg-5+deb9u1) stretch-security; urgency=high

  * Apply upstream patches:
    fr-ad-001.patch
    fr-gv-201.patch (CVE-2017-10978)
    fr-gv-206.patch (CVE-2017-10983)
    fr-gv-301.patch (CVE-2017-10984)
    fr-gv-302.patch (CVE-2017-10985)
    fr-gv-303.patch (CVE-2017-10986)
    fr-gv-304.patch (CVE-2017-10987)
    fr-gv-305.patch
    (Closes: #868765)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 10 Aug 2017 09:05:06 +0200

freeradius (3.0.12+dfsg-5) unstable; urgency=high

  * disable session cache to address CVE-2017-9148 (closes: #863673)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 30 May 2017 17:18:34 +0200

freeradius (3.0.12+dfsg-4) unstable; urgency=medium

  * fix openssl-1.1.diff: initialize ctx_out
  * fix openssl-1.1.diff: remove const to fix warnings
  * fix openssl-1.1.diff: initialize hctx, use HMAC_Init_ex
  * Build-depend on default-libmysqlclient-dev
  * Exempt mips64el from libcollectdclient-dev build-dependency
  * freeradius.postinst: revert incorrect removal of /var/log file creation
  * d/t: update tests for 3.x (Closes: #710895)
  * Remove unused lintian overrides binary-or-shlib-defines-rpath

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 17 Nov 2016 22:29:04 +0100

freeradius (3.0.12+dfsg-3) unstable; urgency=medium

  * update debian/patches/openssl-1.1.diff to fix compilation with older
    OpenSSL versions.
  * maintscripts: fix symlink creation condition

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 10 Nov 2016 10:12:15 +0100

freeradius (3.0.12+dfsg-2) experimental; urgency=medium

  * Build-Depends: libjson-c-dev pulls in the corresponding library
  * not-installed: prefix debian/tmp to work with older debhelper
  * Update upstream signing-key
  * clarify freeradius-config’s purpose
  * update debian/patches/openssl-1.1.diff
  * Switch from custom rm_conffile to dh_installdeb
  * Install configuration in /etc/freeradius/3.0 (closes: #839931)
  * Correctly grep for usage of snakeoil certs
  * Remove all use of dpkg-statoverride
  * chown/chgrp: use --no-dereference to not follow symlinks
  * no-op reformatting: consistently indent maintscripts
  * Directly use invoke-rc.d, remove init script fallback

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 05 Nov 2016 11:11:29 +0100

freeradius (3.0.12+dfsg-1) experimental; urgency=medium

  * New upstream version.
    drop debian/patches/jlibtool-dependency.diff (applied upstream)
    drop debian/patches/relative-include-paths.diff (applied upstream)
    drop debian/patches/dir-dependencies.diff (applied upstream)
    drop debian/rad_counter.1 (applied upstream)
    add debian/patches/manpage-fixes.diff
  * freeradius-config: add missing Breaks/Replaces (closes: #839931)
  * libfreeradius3: add missing Breaks/Replaces (closes: #839034)
  * freeradius-{dhcp,config}: postrm: only call rmdir if directory exists
    (closes: #839914)

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 08 Oct 2016 13:35:04 +0200

freeradius (3.0.11+dfsg-1) experimental; urgency=medium

  * New upstream version
    closes: #797181
    closes: #813478
    closes: #696250
    closes: #651456
    closes: #814423
    closes: #728306
    closes: #806617
  * re-order alternatives, sbuild always choses the first one
  * debian/rules: move to dh(1)
  * add lintian-overrides for fortify-functions
  * Place package under pkg-freeradius team maintenance
  * remove obsolete lintian override
  * add debian/patches/spelling-fixes.diff
  * freeradius.service: remove obsolete syslog.target
  * Update Standards-Version to 3.9.8 (no changes necessary)
  * debian/watch: mangle +dfsg suffix
  * add debian/patches/dont-install-tests.diff
  * Enable parallel compilation
  * Install libfreeradius-*.{so,a}
  * 0001-Rename-radius-to-freeradius.patch: update manpage/usage
    (closes: #775281)
  * Fix compilation with OpenSSL 1.1 (closes: #828305)
  * Update Build-Depends
  * add snakeoil-certs.diff: use snakeoil certs in the default config
  * add relative-include-paths.diff for reproducible builds
  * Create the mods-enabled links in freeradius-config.postinst
  * Update debian/copyright
  * Use dh-autoreconf to update autotools files
  * add README.source, documenting importing new upstream versions
  * Add NEWS.Debian with pointer to upgrading guide
  * Add rad_counter.1 manpage

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 25 Sep 2016 02:38:49 +0200

=== debian/control ===
Source: freeradius
Build-Depends: debhelper (>= 9.20160114),
 quilt,
 dpkg-dev (>= 1.13.19),
 autotools-dev,
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libcap-dev,
 libgdbm-dev,
 libiodbc2-dev,
 libjson-c-dev,
 libkrb5-dev | heimdal-dev,
 libldap2-dev,
 libpam0g-dev,
 libpcap-dev,
 libperl-dev,
 default-libmysqlclient-dev | libmysqlclient-dev,
 libpq-dev,
 libreadline-dev,
 libsasl2-dev,
 libsqlite3-dev,
 libssl-dev,
 libtalloc-dev,
 libwbclient-dev,
 libyubikey-dev,
 libykclient-dev,
 libmemcached-dev,
 libhiredis-dev,
 python-dev,
 samba-dev | samba4-dev,
 libpcre3-dev,
 libcollectdclient-dev [!mips64el],
 snmp,
 dh-autoreconf
Section: net
Priority: optional
Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>,
 Stephen Gran <sgran@debian.org>,
 Mark Hymers <mhy@debian.org>,
 Sam Hartman <hartmans@debian.org>,
 Michael Stapelberg <stapelberg@debian.org>
Standards-Version: 3.9.8
Homepage: http://www.freeradius.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-freeradius/freeradius.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freeradius/freeradius.git

Package: freeradius
Architecture: any
Depends: lsb-base (>= 3.1-23.2), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, freeradius-common, freeradius-config, libfreeradius3 (= ${binary:Version})
Provides: radius-server
Recommends: freeradius-utils
Suggests: freeradius-ldap, freeradius-postgresql, freeradius-mysql, freeradius-krb5, snmp
Description: high-performance and highly configurable RADIUS server
 FreeRADIUS is a high-performance RADIUS server with support for:
  - Authentication by local files, SQL, Kerberos, LDAP, PAM, and more.
  - Powerful policy configuration language.
  - Proxying and replicating requests by any criteria.
  - Support for many EAP types; TLS, PEAP, TTLS, etc.
  - Many vendor-specific attributes.
  - Regexp matching in string attributes.
 and lots more.

Package: freeradius-common
Depends: adduser, ${misc:Depends}
Architecture: all
Conflicts: radiusd-livingston, xtradius, yardradius
Replaces: freeradius (<< 3)
Description: FreeRADIUS common files
 This package contains common files used by several of the other packages from
 the FreeRADIUS project.

Package: freeradius-config
Architecture: any
Depends: freeradius-common (>= 3), ${misc:Depends}, openssl, make, ca-certificates, ssl-cert, adduser
Breaks: freeradius-config, freeradius (<< 3.0.11+dfsg-1)
Replaces: freeradius (<< 3.0.11+dfsg-1)
Description: FreeRADIUS default config files
 freeradius-config contains the default configuration for FreeRADIUS.
 .
 You can install a custom package which sets "Provides: freeradius-config" in
 order to use the FreeRADIUS packages without any default configuration getting
 into your way.

Package: freeradius-utils
Architecture: any
Replaces: freeradius (<< 3)
Conflicts: radiusd-livingston, yardradius
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, freeradius-common, freeradius-config, libfreeradius3 (= ${binary:Version})
Recommends: libdbi-perl
Description: FreeRADIUS client utilities
 This package contains various client programs and utilities from
 the FreeRADIUS Server project, including:
  - radclient
  - radeapclient
  - radlast
  - radsniff
  - radsqlrelay
  - radtest
  - radwho
  - radzap
  - rlm_ippool_tool
  - smbencrypt

Package: libfreeradius3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Breaks: libfreeradius-dev (<< 3.0.11+dfsg-1)
Replaces: libfreeradius-dev (<< 3.0.11+dfsg-1)
Description: FreeRADIUS shared library
 The FreeRADIUS projects' libfreeradius-radius and libfreeradius-eap, used by
 the FreeRADIUS server and some of the utilities.

Package: libfreeradius-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, libfreeradius3 (= ${binary:Version}), freeradius-dhcp (= ${binary:Version})
Description: FreeRADIUS shared library development files
 The FreeRADIUS projects' libfreeradius-radius and libfreeradius-eap, used by
 the FreeRADIUS server and some of the utilities.
 .
 This package contains the development headers and static library version.

Package: freeradius-dhcp
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: DHCP module for FreeRADIUS server
 The FreeRADIUS server can act as a DHCP server, and this module
 is necessary for that.

Package: freeradius-krb5
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: kerberos module for FreeRADIUS server
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: freeradius-ldap
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: LDAP module for FreeRADIUS server
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: freeradius-rest
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: REST module for FreeRADIUS server
 The FreeRADIUS server can make calls to remote web APIs, and this module
 is necessary for that.

Package: freeradius-postgresql
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: PostgreSQL module for FreeRADIUS server
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: freeradius-mysql
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: MySQL module for FreeRADIUS server
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

Package: freeradius-iodbc
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: iODBC module for FreeRADIUS server
 The FreeRADIUS server can use iODBC to access databases to authenticate users
 and do accounting, and this module is necessary for that.

Package: freeradius-redis
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: Redis module for FreeRADIUS server
 This module is required to enable the FreeRADIUS server to access
 Redis databases.

Package: freeradius-memcached
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: Memcached module for FreeRADIUS server
 The FreeRADIUS server can cache data in memcached and this package
 contains the required module.

Package: freeradius-yubikey
Architecture: any
Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: Yubikey module for FreeRADIUS server
 This package is required to add Yubikey functionality to the
 FreeRADIUS server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       MAKEFLAGS += -j$(NUMJOBS)
endif

override_dh_auto_clean:
	[ ! -f Make.inc ] || dh_auto_clean

override_dh_auto_build:
	# dh_auto_install does both, compilation and installation.

override_dh_auto_install:
	VERBOSE=1 $(MAKE) install R=debian/tmp PACKAGE='debian'

override_dh_auto_test:
	# TODO: enable testing

override_dh_install:
	mv debian/tmp/usr/sbin/radiusd debian/tmp/usr/sbin/freeradius
	mv debian/tmp/usr/share/man/man8/radiusd.8 debian/tmp/usr/share/man/man8/freeradius.8
	# Not installed as we do not install the dhcpclient binary as per
	# https://github.com/FreeRADIUS/freeradius-server/issues/1734#issuecomment-247848277
	rm debian/tmp/usr/share/man/man1/dhcpclient.1
	# Remove all libtool .la files, as per
	# https://wiki.debian.org/ReleaseGoals/LAFileRemoval
	find debian/tmp/usr/lib/freeradius -name "*.la" -delete
	# Remove all plugin .a files (unnecessary), keep libfreeradius .a files
	# for end-users who want to statically link against libfreeradius.
	find debian/tmp/usr/lib/freeradius -name "*.a" -and \! -name "libfreeradius-*.a" -delete
	# We create the mods-enabled links in freeradius-config.postinst so
	# that they are not re-created when users upgrade to a newer version.
	rm debian/tmp/etc/freeradius/3.0/mods-enabled/*
	# Use --fail-missing so that new files e.g. in usr/lib/freeradius/rlm_*
	# can be detected and added to debian/freeradius.install. We cannot use
	# globbing because some files are split into more specific packages,
	# e.g. freeradius-mysql.
	dh_install --fail-missing

override_dh_installpam:
	dh_installpam --name=radiusd

override_dh_installinit:
	dh_installinit --noscripts

override_dh_compress:
	dh_compress -Xexamples

override_dh_installdocs:
	dh_installdocs -Xdebian/tmp/usr/share/doc/freeradius/ChangeLog

override_dh_strip:
	dh_strip --dbgsym-migration='freeradius-dbg (<< 3.0.11-1~)'

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

override_dh_auto_configure:
	dh_auto_configure -- $(confflags) \
		--config-cache \
		--disable-developer \
		--disable-openssl-version-check \
		--exec-prefix=/usr \
		--libdir=/usr/lib/freeradius \
		--datadir=/usr/share \
		--with-raddbdir=/etc/freeradius/3.0 \
		--with-logdir=/var/log/freeradius \
		--with-large-files \
		--with-udpfromto \
		--without-rlm_eap_tnc \
		--with-rlm_sql_postgresql_lib_dir=`pg_config --libdir` \
		--with-rlm_sql_postgresql_include_dir=`pg_config --includedir` \
		--with-iodbc-include-dir='/usr/include/iodbc' \
		--without-rlm_eap_ikev2 \
		--without-rlm_sql_oracle \
		--without-rlm_sql_unixodbc

%:
	dh $@ --with autoreconf

## freeradius 3.0.15+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,20 @@
 #		NOTE: This top-level Makefile must not
 #		use GNU-make extensions. The lower ones can.
 #
-# Version:	$Id: 20a2e4d64133768c0c3c824be0e74b33f1a9f164 $
+# Version:	$Id: 3282f77fdc27a8f988b1f1b9509810361149b6df $
 #
 
 #
 #  The default rule is "all".
 #
 all:
+
+#
+#  Catch people who try to use BSD make
+#
+ifeq "0" "1"
+.error GNU Make is required to build FreeRADIUS
+endif
 
 $(if $(wildcard Make.inc),,$(error Missing 'Make.inc' Run './configure [options]' and retry))

=== debian/changelog ===
freeradius (3.0.15+dfsg-1ubuntu2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:02:29 +0000

freeradius (3.0.15+dfsg-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1704387). Remaining changes:
    - d/control: drop b-d on collectd, as it is in universe
      (LP #1522040).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 21 Jul 2017 10:54:03 +0200

freeradius (3.0.15+dfsg-1) unstable; urgency=high

  * New upstream version 3.0.15+dfsg, addressing the following security issues:
    CVE-2017-10978 (denial of service)
    CVE-2017-10984 (remote code execution, denial of service)
    CVE-2017-10985 (denial of service)
    CVE-2017-10983 (denial of service)
    CVE-2017-10986 (denial of service)
    CVE-2017-10987 (denial of service)
    (Closes: #868765)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 18 Jul 2017 20:49:31 +0200

freeradius (3.0.14+dfsg-3) unstable; urgency=medium

  * Revert "Work around debhelper bug to fix FTBFS (Closes: #866978)"
    (fixed upstream in debhelper 10.6.3)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 18 Jul 2017 09:30:49 +0200

freeradius (3.0.14+dfsg-2) unstable; urgency=medium

  * Work around debhelper bug to fix FTBFS (Closes: #866978)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 05 Jul 2017 08:23:11 +0200

freeradius (3.0.14+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.14+dfsg
  * Switch to dh_missing’s --fail-missing feature
  * Install missing file rlm_sql_freetds.so
  * drop debian/patches/openssl-autoconf.diff (merged upstream)
  * drop debian/patches/openssl-1.1.diff (merged upstream)
  * drop debian/patches/manpage-fixes.diff (merged upstream)
  * refresh patches
  * add build-dependency on freetds-dev to build rlm_sql_freetds
  * update Standards-Version to 4.0.0 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 03 Jul 2017 09:01:13 +0200

freeradius (3.0.12+dfsg-5ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: drop b-d on collectd, as it is in universe
      (LP #1522040).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 31 May 2017 14:40:06 -0700

freeradius (3.0.12+dfsg-4ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable (LP: #1647579). Remaining changes:
    - d/control: drop b-d on collectd, as it is in universe (LP #1522040).
  * Drop:
    - d/t: update tests for 3.x (Closes #710895)
      + Password must be provided as 'User-Password'.
      + Configuration is stored in /etc/freeradius/3.0/.
      + Response strings do not contain 'code X' any longer.
    [ Fixed in Debian ]
    - d/freeradius.postinst: revert incorrect removal of /var/log file creation
      + 42abc545 ('Remove all use of dpkg-statoverride') included a
        non-dpkg-statoverride-related removal.
    [ Fixed in Debian ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 06 Dec 2016 09:12:44 +0100

freeradius (3.0.12+dfsg-3ubuntu2) zesty; urgency=medium

  * d/t: update tests for 3.x (Closes: #710895)
    - Password must be provided as 'User-Password'.
    - Configuration is stored in /etc/freeradius/3.0/.
    - Response strings do not contain 'code X' any longer.
  * d/freeradius.postinst: revert incorrect removal of /var/log file creation
    - 42abc545 ('Remove all use of dpkg-statoverride') included a
      non-dpkg-statoverride-related removal.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 17 Nov 2016 11:04:34 -0800

freeradius (3.0.12+dfsg-3ubuntu1) zesty; urgency=medium

  * d/control: drop b-d on collectd, as it is in universe (LP: #1522040).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 11 Nov 2016 17:46:15 -0800

## freeradius 3.0.16+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #		NOTE: This top-level Makefile must not
 #		use GNU-make extensions. The lower ones can.
 #
-# Version:	$Id: 3282f77fdc27a8f988b1f1b9509810361149b6df $
+# Version:	$Id: 03de192a783c0ada6e489ab99aa49b7e98ac9234 $
 #
 
 #
@@ -19,9 +19,18 @@
 .error GNU Make is required to build FreeRADIUS
 endif
 
+#
+#  We require Make.inc, UNLESS the target is "make deb"
+#
+#  Since "make deb" re-runs configure... there's no point in
+#  requiring the developer to run configure *before* making
+#  the debian packages.
+#
+ifneq "$(MAKECMDGOALS)" "deb"
 $(if $(wildcard Make.inc),,$(error Missing 'Make.inc' Run './configure [options]' and retry))
 
 include Make.inc
+endif
 
 MFLAGS += --no-print-directory
 
@@ -34,7 +43,9 @@
 export DESTDIR := $(R)
 
 # And over-ride all of the other magic.
+ifneq "$(MAKECMDGOALS)" "deb"
 include scripts/boiler.mk
+endif
 
 #
 #  To work around OpenSSL issues with travis.

=== raddb/certs/Makefile ===
######################################################################
#
#	Make file to be installed in /etc/raddb/certs to enable
#	the easy creation of certificates.
#
#	See the README file in this directory for more information.
#
#	$Id: 16447a023d2cdce2d16d39cf31bcde4dba600df5 $
#
######################################################################

DH_KEY_SIZE	= 2048
OPENSSL		= openssl
EXTERNAL_CA	= $(wildcard external_ca.*)

ifneq "$(EXTERNAL_CA)" ""
PARTIAL		= -partial_chain
endif

#
#  Set the passwords
#
include passwords.mk

######################################################################
#
#  Make the necessary files, but not client certificates.
#
######################################################################
.PHONY: all
all: index.txt serial dh server ca client

.PHONY: client
client: client.pem

.PHONY: ca
ca: ca.der

.PHONY: server
server: server.pem server.vrfy

.PHONY: inner-server
inner-server: inner-server.pem inner-server.vrfy

.PHONY: verify
verify: server.vrfy client.vrfy

passwords.mk: server.cnf ca.cnf client.cnf inner-server.cnf
	@echo "PASSWORD_SERVER	= '$(shell grep output_password server.cnf | sed 's/.*=//;s/^ *//')'"		> $@
	@echo "PASSWORD_INNER	= '$(shell grep output_password inner-server.cnf | sed 's/.*=//;s/^ *//')'"	>> $@
	@echo "PASSWORD_CA	= '$(shell grep output_password ca.cnf | sed 's/.*=//;s/^ *//')'"		>> $@
	@echo "PASSWORD_CLIENT	= '$(shell grep output_password client.cnf | sed 's/.*=//;s/^ *//')'"		>> $@
	@echo "USER_NAME	= '$(shell grep emailAddress client.cnf | grep '@' | sed 's/.*=//;s/^ *//')'"	>> $@
	@echo "CA_DEFAULT_DAYS  = '$(shell grep default_days ca.cnf | sed 's/.*=//;s/^ *//')'"			>> $@

######################################################################
#
#  Diffie-Hellman parameters
#
######################################################################
dh:
	$(OPENSSL) dhparam -out dh -2 $(DH_KEY_SIZE)

######################################################################
#
#  Create a new self-signed CA certificate
#
######################################################################
ca.key ca.pem: ca.cnf
	@[ -f index.txt ] || $(MAKE) index.txt
	@[ -f serial ] || $(MAKE) serial
	$(OPENSSL) req -new -x509 -keyout ca.key -out ca.pem \
		-days $(CA_DEFAULT_DAYS) -config ./ca.cnf
	chmod g+r ca.key

ca.der: ca.pem
	$(OPENSSL) x509 -inform PEM -outform DER -in ca.pem -out ca.der

######################################################################
#
#  Create a new server certificate, signed by the above CA.
#
######################################################################
server.csr server.key: server.cnf
	$(OPENSSL) req -new  -out server.csr -keyout server.key -config ./server.cnf
	chmod g+r server.key

server.crt: server.csr ca.key ca.pem
	$(OPENSSL) ca -batch -keyfile ca.key -cert ca.pem -in server.csr  -key $(PASSWORD_CA) -out server.crt -extensions xpserver_ext -extfile xpextensions -config ./server.cnf

server.p12: server.crt
	$(OPENSSL) pkcs12 -export -in server.crt -inkey server.key -out server.p12  -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)
	chmod g+r server.p12

server.pem: server.p12
	$(OPENSSL) pkcs12 -in server.p12 -out server.pem -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)
	chmod g+r server.pem

.PHONY: server.vrfy
server.vrfy: ca.pem
	@$(OPENSSL) verify $(PARTIAL) -CAfile ca.pem server.pem

######################################################################
#
#  Create a new client certificate, signed by the the above server
#  certificate.
#
######################################################################
client.csr client.key: client.cnf
	$(OPENSSL) req -new  -out client.csr -keyout client.key -config ./client.cnf
	chmod g+r client.key

client.crt: client.csr ca.pem ca.key
	$(OPENSSL) ca -batch -keyfile ca.key -cert ca.pem -in client.csr  -key $(PASSWORD_CA) -out client.crt -extensions xpclient_ext -extfile xpextensions -config ./client.cnf

client.p12: client.crt
	$(OPENSSL) pkcs12 -export -in client.crt -inkey client.key -out client.p12  -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)
	chmod g+r client.p12

client.pem: client.p12
	$(OPENSSL) pkcs12 -in client.p12 -out client.pem -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)
	chmod g+r client.pem
	cp client.pem $(USER_NAME).pem

.PHONY: client.vrfy
client.vrfy: ca.pem client.pem
	c_rehash .
	$(OPENSSL) verify -CApath . client.pem

######################################################################
#
#  Create a new inner-server certificate, signed by the above CA.
#
######################################################################
inner-server.csr inner-server.key: inner-server.cnf
	$(OPENSSL) req -new  -out inner-server.csr -keyout inner-server.key -config ./inner-server.cnf
	chmod g+r inner-server.key

inner-server.crt: inner-server.csr ca.key ca.pem
	$(OPENSSL) ca -batch -keyfile ca.key -cert ca.pem -in inner-server.csr  -key $(PASSWORD_CA) -out inner-server.crt -extensions xpserver_ext -extfile xpextensions -config ./inner-server.cnf

inner-server.p12: inner-server.crt
	$(OPENSSL) pkcs12 -export -in inner-server.crt -inkey inner-server.key -out inner-server.p12  -passin pass:$(PASSWORD_INNER) -passout pass:$(PASSWORD_INNER)
	chmod g+r inner-server.p12

inner-server.pem: inner-server.p12
	$(OPENSSL) pkcs12 -in inner-server.p12 -out inner-server.pem -passin pass:$(PASSWORD_INNER) -passout pass:$(PASSWORD_INNER)
	chmod g+r inner-server.pem

.PHONY: inner-server.vrfy
inner-server.vrfy: ca.pem
	@$(OPENSSL) verify $(PARTIAL) -CAfile ca.pem inner-server.pem

######################################################################
#
#  Miscellaneous rules.
#
######################################################################
index.txt:
	@touch index.txt

serial:
	@echo '01' > serial

print:
	$(OPENSSL) x509 -text -in server.crt

printca:
	$(OPENSSL) x509 -text -in ca.pem

clean:
	@rm -f *~ *old client.csr client.key client.crt client.p12 client.pem

#
#	Make a target that people won't run too often.
#
destroycerts:
	rm -f *~ dh *.csr *.crt *.p12 *.der *.pem *.key index.txt* \
			serial*  *\.0 *\.1

=== debian/changelog ===
freeradius (3.0.16+dfsg-1ubuntu3) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 06:51:17 +0000

freeradius (3.0.16+dfsg-1ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 Feb 2018 11:35:23 +0000

freeradius (3.0.16+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: drop b-d on collectd, as it is in universe
      (LP #1522040).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:23:23 +0100

freeradius (3.0.16+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.16+dfsg

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 22 Jan 2018 19:05:09 +0100

freeradius (3.0.15+dfsg-2) unstable; urgency=medium

  * logrotate: don’t accidentally define global options (Closes: #872158)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 15 Aug 2017 09:50:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: freeradius
-Build-Depends: debhelper (>= 9.20160114),
+Build-Depends: debhelper (>= 10.6),
  quilt,
  dpkg-dev (>= 1.13.19),
  autotools-dev,
@@ -28,18 +28,19 @@
  python-dev,
  samba-dev | samba4-dev,
  libpcre3-dev,
- libcollectdclient-dev [!mips64el],
  snmp,
- dh-autoreconf
+ dh-autoreconf,
+ freetds-dev
 Section: net
 Priority: optional
-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
 Uploaders: Josip Rodin <joy-packages@debian.org>,
  Stephen Gran <sgran@debian.org>,
  Mark Hymers <mhy@debian.org>,
  Sam Hartman <hartmans@debian.org>,
  Michael Stapelberg <stapelberg@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.freeradius.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-freeradius/freeradius.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freeradius/freeradius.git
